Eclipse Platform Release 3.7

## org.eclipse.compare.patch
Class PatchParser

    java.lang.Object
      org.eclipse.compare.patch.PatchParser

    public class PatchParser

extends Object

Helper class for parsing patches.

Since:
  org.eclipse.compare.core 3.5

Constructor Summary
`PatchParser()`

Method Summary
`static IFilePatch2[]` `parsePatch(ReaderCreator content)` Parse the given patch and return the set of file patches that it contains.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatchParser

    public PatchParser()

Method Detail

### parsePatch

    public static IFilePatch2[] parsePatch(ReaderCreator content)
                                    throws CoreException

  Parse the given patch and return the set of file patches that it contains.

  Parameters:
    `content` - a patch reader creator
  Returns:
    the set of file patches that the patch contains
  Throws:
    `CoreException` - if an error occurs reading the contents

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.